---
schema_version: "1"
id: cf1c552d1fa69dd8cca23e8aa12d9e0f09aec47b084115776420067bb89a4399
title: DELETE /platform/v1/ens-callbacks/{callbackId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteCallback.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/deleteCallback.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 53b3f0f6c4bc58e7afe0d2aa6c90908fce15a0d9f9b187ce3e0178c8a23fa86c
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /platform/v1/ens-callbacks/{callbackId}

## Overview

Deletes a registered callback that isn't used by any subscriptions. Delete all subscriptions for the callback before deleting the callback.

### URL Parameters

<!--complex table-->

| Name           | Type   |              | Description                        |
| -------------- | ------ | ------------ | ---------------------------------- |
| **callbackId** | string | **Required** | Unique identifier of the callback. |

## Usage

### Example Request

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /platform/v1/ens-callbacks/65b885ab-c2b4-46fe-85d0-d6cb8be8057d
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### HTTP Responses

| Response         | Reason                                                                                                        |
| ---------------- | ------------------------------------------------------------------------------------------------------------- |
| 200 Success      | Callback is deleted.                                                                                          |
| 403 Forbidden    | Failed to pass authorization.                                                                                 |
| 404 Not Found    | Callback ID doesn’t exist.                                                                                    |
| 409 Conflict     | Subscriptions exist for the callback. Delete all subscriptions for the callback before deleting the callback. |
| 500 Server Error | Internal error                                                                                                |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
